#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC1,0x49,0x57,0xC7,0x18,0x63,0xA3,0x69,0x5E,0x37,0x34,0xA4,
		0x68,0x15,0x78,0x73,0x49,0x5F,0x5F,0xAE,0x99,0x56,0x6A,0x5D,
		0x8D,0xE9,0x94,0xAC,0x30,0xF7,0x9B,0xE0,0xAC,0xAF,0xB6,0x89,
		0x7A,0xAB,0xC9,0x1D,0x8F,0x52,0x07,0xAF,0x1C,0xC4,0x2A,0x9A,
		0x9A,0x0B,0x29,0x84,0x05,0xA2,0xBD,0x85,0x7E,0x3F,0xEB,0xEF,
		0x40,0xCA,0x71,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
